Main Page glibmm Namespaces Book

# Glib::Value< std::string > Class Template Reference
[Generic Values]

Specialization for strings. More...

Inheritance diagram for Glib::Value< std::string >:

[legend]

List of all members.

## Public Types
typedef std::string | CppType
## Public Member Functions
void | set (const std::string& data)
std::string | get () const

## Detailed Description

### template<>
class Glib::Value< std::string >

Specialization for strings.

## Member Typedef Documentation

typedef std::string Glib::Value<std::string>::CppType

## Member Function Documentation

void Glib::Value<std::string>::set | ( | const std::string & | data | ) |

std::string Glib::Value<std::string>::get | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- value.h